using Microsoft.EntityFrameworkCore;
using System.ComponentModel.DataAnnotations.Schema;

namespace Elwig.Models.Entities {
    [Table("wine_variety"), PrimaryKey("SortId")]
    public class WineVar {
        [Column("sortid")]
        public string SortId { get; private set; } = null!;

        [Column("type")]
        public string Type { get; private set; } = null!;

        [Column("name")]
        public string Name { get; private set; } = null!;

        [Column("comment")]
        public string? Comment { get; private set; }

        public string CommentFormat => (Comment != null) ? $" ({Comment})" : "";

        public bool IsRed => Type == "R";
        public bool IsWhite => Type == "W";

        public WineVar() { }

        public WineVar(string sortId, string name) {
            SortId = sortId;
            Name = name;
        }

        public override string ToString() {
            return Name;
        }
    }
}
